<?php
if (!defined('IN_CMS')) { exit(); }

/**
* Visitors
* 
* Plugin for collecting and analysing visitor statistics.
* 
* @author Nic Wortel <nd.wortel@gmail.com>
* 
* @file         /enable.php
* @date         20/12/2011
*/

$file = PLUGINS_ROOT.'/visitors/index.php';
if (file_exists($file)) {
    include $file;
}

Plugin::setAllSettings(array(
    'ignore_ip' => $_SERVER['REMOTE_ADDR'],
    'last_version' => Plugin::$plugins_infos['visitors']->version
), 'visitors');

$PDO = Record::getConnection();

// setup the table
$sql = "CREATE TABLE IF NOT EXISTS `".TABLE_PREFIX."visitors_request` (
  `id` bigint(1) UNSIGNED NOT NULL auto_increment,
  `user_id` int(1) UNSIGNED,
  `datetime` datetime NOT NULL,
  `remote_addr` varchar(25),
  `remote_host` varchar(255),
  `country_icon` varchar(25),
  `country_name` varchar(255),
  `http_referrer` varchar(255),
  `referrer_domain` varchar(255),
  `referrer_keywords` varchar(255),
  `http_user_agent` varchar(255),
  `session_id` varchar(50),
  `uri` varchar(255),
  PRIMARY KEY  (`id`),
  KEY `remote_addr` (`remote_addr`)
) ENGINE=MyISAM;";

$PDO->exec($sql);

// setup the table
$sql = "CREATE TABLE IF NOT EXISTS `".TABLE_PREFIX."visitors_user_agent` (
  `id` int(1) UNSIGNED NOT NULL auto_increment,
  `user_agent_string` varchar(255),
  `type` varchar(255),
  `ua_family` varchar(255),
  `ua_name` varchar(255),
  `ua_url` varchar(255),
  `ua_company` varchar(255),
  `ua_company_url` varchar(255),
  `ua_icon` varchar(255),
  `ua_info_url` varchar(255),
  `os_family` varchar(255),
  `os_name` varchar(255),
  `os_url` varchar(255),
  `os_company` varchar(255),
  `os_company_url` varchar(255),
  `os_icon` varchar(255),
  PRIMARY KEY  (`id`),
  KEY `user_agent_string` (`user_agent_string`)
) ENGINE=MyISAM;";

$PDO->exec($sql);