<?php
if (!defined('IN_CMS')) { exit(); }

/**
* Visitors
* 
* Plugin for collecting and analysing visitor statistics.
* 
* @author Nic Wortel <nd.wortel@gmail.com>
* 
* @file         /index.php
* @date         20/12/2011
*/

if(!defined("VISITORS")) {
    define('VISITORS', PLUGINS_ROOT.'/visitors');
}

Plugin::setInfos(array(
    'id'                    =>    'visitors',
    'title'                 =>    __('Visitors'),
    'description'           =>    __('Collects and analyses visitor statistics.'),
    'author'                =>    'Nic Wortel',
    'version'               =>    '0.1.1',
    'website'               =>    'http://www.wolfcms.org/',
    'require_wolf_version'  =>    '0.7.5'
));

Observer::observe('page_requested', 'save_log');
Observer::observe('dispatch_route_found', 'save_log');

Plugin::addController('visitors', __('Visitors'));

AutoLoader::addFolder(VISITORS.'/models');

function save_log($uri) {
    
    $ignore_ip_array = explode("\n", trim(Plugin::getSetting('ignore_ip', 'visitors')));
    
    if (!in_array($_SERVER['REMOTE_ADDR'], $ignore_ip_array)) {
        $request = new VisitorsRequest();
        $request->uri = $uri;
        if (!$request->save()) {
            print_r($request);
        }
    }
    
    return $uri;
}

function shorten($string, $limit) {
    return (strlen($string) > $limit) ? substr($string, 0, $limit) . '...' : $string;
}