<h1><?php echo __('Statistics'); ?></h1>

<div id="visitors" class="dashboard">


<div id="left-panel">

<table>
    <caption><?php echo __('Search engine keywords'); ?></caption>
    <tr class="head">
        <th><?php echo __('Keywords'); ?></th>
        <th class="number visitors"><?php echo __('Visitors'); ?></th>
        <th class="graph"></th>
    </tr>
<?php
    foreach ($keywords as $log)
    {
?>
    <tr class="<?php echo odd_even(); ?>">
        <td><?php echo $log->keywords; ?></td>
        <td class="number visitors"><?php echo $log->visitors; ?></td>
        <td class="graph"><img width="<?php echo round($log->percentage); ?>" height="14" title="<?php echo round($log->percentage); ?>%" src="<?php echo URL_PUBLIC; ?>wolf/plugins/visitors/images/grey.png" align="middle" /></td>
    </tr>
<?php
    }
?>
    <tr class="<?php echo even_odd(); ?>">
        <td colspan="4"><a href="<?php echo get_url("plugin/visitors/keywords"); ?>">More...</a></td>
    </tr>
</table>

<table>
    <caption><?php echo __('Popular pages'); ?></caption>
    <tr class="head">
        <th><?php echo __('Page'); ?></th>
        <th class="number"><?php echo __('Hits'); ?></th>
    </tr>
<?php
    foreach ($pages as $log)
    {
?>
    <tr class="<?php echo odd_even(); ?>">
        <td><a target="_blank" href="<?php echo URL_PUBLIC; ?><?php echo substr($log->uri, 1); ?>"><?php echo shorten($log->uri, 50); ?></a></td>
        <td class="number"><?php echo $log->hits; ?></td>
    </tr>
<?php
    }
?>
    <tr class="<?php echo odd_even(); ?>">
        <td colspan="4"><a href="<?php echo get_url("plugin/visitors/pages"); ?>">More...</a></td>
    </tr>
</table>

<table>
    <caption><?php echo __('Referring domains'); ?></caption>
    <tr class="head">
        <th><?php echo __('Domain'); ?></th>
        <th class="number"><?php echo __('Links'); ?></th>
    </tr>
<?php
    foreach ($referring_domains as $log)
    {
?>
    <tr class="<?php echo odd_even(); ?>">
        <td><?php echo $log->domain; ?></td>
        <td class="number"><?php echo $log->links; ?></td>
    </tr>
<?php
    }
?>
    <tr class="<?php echo odd_even(); ?>">
        <td colspan="4"><a href="<?php echo get_url("plugin/visitors/referringDomains"); ?>">More...</a></td>
    </tr>
</table>

</div><div id="right-panel">

<table>
    <caption><?php echo __('Popular browsers'); ?></caption>
    <tr class="head">
        <th colspan="2"><?php echo __('Browser'); ?></th>
        <th class="number visitors"><?php echo __('Visitors'); ?></th>
        <th class="graph"></th>
    </tr>
<?php
    foreach ($browser_families as $log)
    {
?>
    <tr class="<?php echo odd_even(); ?>">
        <td class="icon browser_family"><img src="<?php echo URL_PUBLIC; ?>wolf/plugins/visitors/images/ua_icons/<?php echo $log->ua_icon; ?>" alt="<?php echo $log->ua_family; ?>" title="<?php echo $log->ua_family; ?>" /></td>
        <td><?php echo $log->ua_family; ?></td>
        <td class="number visitors"><?php echo $log->visitor_count; ?></td>
        <td class="graph"><img width="<?php echo round($log->percentage); ?>" height="14" title="<?php echo round($log->percentage); ?>%" src="<?php echo URL_PUBLIC; ?>wolf/plugins/visitors/images/grey.png" align="middle" /></td>
    </tr>
<?php
    }
?>
    <tr class="<?php echo odd_even(); ?>">
        <td colspan="4"><a href="<?php echo get_url("plugin/visitors/browsers"); ?>">More...</a></td>
    </tr>
</table>

<table>
    <caption><?php echo __('Popular operating systems'); ?></caption>
    <tr class="head">
        <th colspan="2"><?php echo __('Operating System'); ?></th>
        <th class="number"><?php echo __('Visitors'); ?></th>
        <th class="graph"></th>
    </tr>
<?php
    foreach ($operation_system_families as $log)
    {
?>
    <tr class="<?php echo odd_even(); ?>">
        <td class="icon os_family"><img src="<?php echo URL_PUBLIC; ?>wolf/plugins/visitors/images/os_icons/<?php echo $log->os_icon; ?>" alt="<?php echo $log->os_family; ?>" title="<?php echo $log->os_family; ?>" /></td>
        <td><?php echo $log->os_family; ?></td>
        <td class="number visitors"><?php echo $log->visitor_count; ?></td>
        <td class="graph"><img width="<?php echo round($log->percentage); ?>" height="14" title="<?php echo round($log->percentage); ?>%" src="<?php echo URL_PUBLIC; ?>wolf/plugins/visitors/images/grey.png" align="middle" /></td>
    </tr>
<?php
    }
?>
    <tr class="<?php echo odd_even(); ?>">
        <td colspan="4"><a href="<?php echo get_url("plugin/visitors/browsers"); ?>">More...</a></td>
    </tr>
</table>

<table>
    <caption><?php echo __('Search engine spiders'); ?></caption>
    <tr class="head">
        <th colspan="2"><?php echo __('Bot'); ?></th>
        <th class="number"><?php echo __('Hits'); ?></th>
        <th class="graph"></th>
    </tr>
<?php
    foreach ($robots as $log)
    {
?>
    <tr class="<?php echo odd_even(); ?>">
        <td class="icon bot"><img src="<?php echo URL_PUBLIC; ?>wolf/plugins/visitors/images/ua_icons/<?php echo $log->ua_icon; ?>" alt="<?php echo $log->ua_family; ?>" title="<?php echo $log->ua_family; ?>" /></td>
        <td><?php echo $log->ua_family; ?></td>
        <td class="number requests"><?php echo $log->hit_count; ?></td>
        <td class="graph"><img width="<?php echo round($log->hit_percentage); ?>" height="14" title="<?php echo round($log->hit_percentage); ?>%" src="<?php echo URL_PUBLIC; ?>wolf/plugins/visitors/images/grey.png" align="middle" /></td>
    </tr>
<?php
    }
?>
    <tr class="<?php echo odd_even(); ?>">
        <td colspan="4"><a href="<?php echo get_url("plugin/visitors/robots"); ?>">More...</a></td>
    </tr>
</table>


<table>
    <caption><?php echo __('Countries'); ?></caption>
    <tr class="head">
        <th colspan="2"><?php echo __('Country'); ?></th>
        <th class="number"><?php echo __('Visitors'); ?></th>
        <th class="graph"></th>
    </tr>
<?php
    foreach ($countries as $log)
    {
?>
    <tr class="<?php echo odd_even(); ?>">
        <td class="icon country"><img src="<?php echo URL_PUBLIC; ?>wolf/plugins/visitors/images/country_icons/<?php echo $log->country_icon; ?>" alt="<?php echo $log->country_name; ?>" title="<?php echo $log->country_name; ?>" /></td>
        <td><?php echo $log->country_name; ?></td>
        <td class="number visitors"><?php echo $log->visitors; ?></td>
        <td class="graph"><img width="<?php echo round($log->percentage); ?>" height="14" title="<?php echo round($log->percentage); ?>%" src="<?php echo URL_PUBLIC; ?>wolf/plugins/visitors/images/grey.png" align="middle" /></td>
    </tr>
<?php
    }
?>
    <tr class="<?php echo odd_even(); ?>">
        <td colspan="4"><a href="<?php echo get_url("plugin/visitors/countries"); ?>">More...</a></td>
    </tr>
</table>

</div></div>